# optimsimplex_check

Checks the consistency of internal data

## Calling Sequence

                optimsimplex_check(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

## Description

The `optimsimplex_check` function returns an error message if the dimensions of different fields of current simplex do not match :

- the rows number of `x` field is different from the value of `nbve` field.

- the columns number of `x` field is different from the value of `n` field.

- the rows number of `fv` field is different from the value of `nbve` field.

- the columns number of `fv` field is different from 1.

## Example

     coords = [...
        0.    0.
        1.    0.
        0.    2.
    ];
    s1 = optimsimplex_new ( coords );
    s1 = optimsimplex_setallfv ( s1 , [3.0 4.0 5.0]' );
    optimsimplex_check ( s1 );
    s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_new